ocsdMsgLogger Class Reference

`#include <ocsd_msg_logger.h>`

## Public Types

enum | output_dest { OUT_NONE = 0 , OUT_FILE = 1 , OUT_STDERR = 2 , OUT_STDOUT = 4 , OUT_STR_CB = 8 }

## Public Member Functions

| ocsdMsgLogger ()
| ~ocsdMsgLogger ()
void | setLogOpts (int logOpts)
| set the output logging flags. More...
const int | getLogOpts () const
| get the current output logging flags value. More...
void | setLogFileName (const char *fileName)
| Set the output log filename, and enable logging to file. More...
void | setStrOutFn (ocsdMsgLogStrOutI *p_IstrOut)
| Set the output log string callback and enable logging to callback. More...
void | LogMsg (const std::string &msg)
| Log a message to the current set output channels. More...
const bool | isLogging () const
| true if logging active More...

## Detailed Description

Definition at line 50 of file ocsd_msg_logger.h.

## Member Enumeration Documentation

## output_dest

enum ocsdMsgLogger::output_dest

Typedef enum providing flags to define the output methods for the message logger.

Enumerator
OUT_NONE | No output from logger
OUT_FILE | Output to file
OUT_STDERR | Output to stderr
OUT_STDOUT | Output to stdout
OUT_STR_CB | output to external string callback interface

Definition at line 58 of file ocsd_msg_logger.h.

## Constructor & Destructor Documentation

## ocsdMsgLogger()

ocsdMsgLogger::ocsdMsgLogger | ( |  | ) |

## ~ocsdMsgLogger()

ocsdMsgLogger::~ocsdMsgLogger | ( |  | ) |

## Member Function Documentation

## getLogOpts()

const int ocsdMsgLogger::getLogOpts | ( |  | ) | const

inline

get the current output logging flags value.

Definition at line 67 of file ocsd_msg_logger.h.

## isLogging()

const bool ocsdMsgLogger::isLogging | ( |  | ) | const

true if logging active

## LogMsg()

void ocsdMsgLogger::LogMsg | ( | const std::string & | msg | ) |

Log a message to the current set output channels.

## setLogFileName()

void ocsdMsgLogger::setLogFileName | ( | const char * | fileName | ) |

Set the output log filename, and enable logging to file.

## setLogOpts()

void ocsdMsgLogger::setLogOpts | ( | int | logOpts | ) |

set the output logging flags.

## setStrOutFn()

void ocsdMsgLogger::setStrOutFn | ( | ocsdMsgLogStrOutI * | p_IstrOut | ) |

Set the output log string callback and enable logging to callback.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/ocsd_msg_logger.h